## eSim

eSim is an open source EDA tool for circuit design, simulation, analysis and PCB design, developed by FOSSEE team at IIT Bombay. 
It is an integrated tool build using open source software such as [KiCad](http://www.kicad-pcd.org), [Ngspice](http://ngspice.sourcefouge.net/), [GHDL](http://ghdl.free.fr/)
It is released under GNU GPL License. It runs on Ubuntu OS versions 16.04 and above, Windows 7 and above versions.

## Features
* An open-source tool.
* Perform circuit design.
* Perform Simulation.
* Perform layout design.
* Model builder and Subcircuit builder.
* Support for Mixed Mode Simulation (Currently supported only on Ubuntu OS).
* eSim has been successfully ported to low cost FOSSEE [laptop](http://laptop.fossee.in)

## Open-Source Software Used
* Python.
* KiCad.
* Ngspice.
* GHDL.

## Pre-requisites
1. NGHDL
2. Ngspice-31
3. KiCad 4.0.7 (latest version released on April-2019)
4. Xterm

## eSim Installation:

To use eSim on your machine please refer to link  [here](https://esim.fossee.in/downloads) for installation and other guidelines.

## eSim Manual
To know everything about eSim, how it works and it's feature please download manual [here](https://static.fossee.in/esim/manuals/eSim_Manual_2.0.pdf)

## Contact
For any queries regarding eSim please write us on at this [address](mailto:contact-esim@fossee.in).

## Contribution
Please refer [here](https://github.com/FOSSEE/eSim/tree/master/CONTRIBUTION.md) for further details.

## License
It is developed by FOSSEE team at IIT Bombay. It is released under GNU GPL License.
